org.omg.CORBA

## Interface DataInputStream

All Superinterfaces:
  IDLEntity, Serializable, ValueBase

    public interface DataInputStream
    extends ValueBase

Defines the methods used to read primitive data types from input streams for unmarshaling custom value types. This interface is used by user written custom unmarshaling code for custom value types.

See Also:
  `DataOutputStream`, `CustomMarshal`

### Method Summary

Methods
`Object` `read_Abstract()` Reads an IDL Abstract interface from the input stream.
`void` `read_any_array(AnySeqHolder seq, int offset, int length)` Reads array of IDL Anys from offset for length elements from the input stream.
`Any` `read_any()` Reads an IDL `Any` value from the input stream.
`void` `read_boolean_array(BooleanSeqHolder seq, int offset, int length)` Reads array of IDL booleans from offset for length elements from the input stream.
`boolean` `read_boolean()` Reads an IDL boolean value from the input stream.
`void` `read_char_array(CharSeqHolder seq, int offset, int length)` Reads array of IDL characters from offset for length elements from the input stream.
`char` `read_char()` Reads an IDL character value from the input stream.
`void` `read_double_array(DoubleSeqHolder seq, int offset, int length)` Reads array of IDL doubles from offset for length elements from the input stream.
`double` `read_double()` Reads an IDL double from the input stream.
`void` `read_float_array(FloatSeqHolder seq, int offset, int length)` Reads array of IDL floats from offset for length elements from the input stream.
`float` `read_float()` Reads an IDL float from the input stream.
`void` `read_long_array(LongSeqHolder seq, int offset, int length)` Reads array of IDL longs from offset for length elements from the input stream.
`int` `read_long()` Reads an IDL long from the input stream.
`void` `read_longlong_array(LongLongSeqHolder seq, int offset, int length)` Reads array of IDL long longs from offset for length elements from the input stream.
`long` `read_longlong()` Reads an IDL long long from the input stream.
`Object` `read_Object()` Reads an IDL CORBA::Object from the input stream.
`void` `read_octet_array(OctetSeqHolder seq, int offset, int length)` Reads array of IDL octets from offset for length elements from the input stream.
`byte` `read_octet()` Reads an IDL octet value from the input stream.
`void` `read_short_array(ShortSeqHolder seq, int offset, int length)` Reads array of IDL shorts from offset for length elements from the input stream.
`short` `read_short()` Reads an IDL short from the input stream.
`String` `read_string()` Reads an IDL string from the input stream.
`TypeCode` `read_TypeCode()` Reads an IDL typecode from the input stream.
`void` `read_ulong_array(ULongSeqHolder seq, int offset, int length)` Reads array of IDL unsigned longs from offset for length elements from the input stream.
`int` `read_ulong()` Reads an IDL unsigned long from the input stream.
`void` `read_ulonglong_array(ULongLongSeqHolder seq, int offset, int length)` Reads array of IDL unsigned long longs from offset for length elements from the input stream.
`long` `read_ulonglong()` Reads an unsigned IDL long long from the input stream.
`void` `read_ushort_array(UShortSeqHolder seq, int offset, int length)` Reads array of IDL unsigned shorts from offset for length elements from the input stream.
`short` `read_ushort()` Reads an IDL unsigned short from the input stream.
`Serializable` `read_Value()` Reads an IDL value type from the input stream.
`void` `read_wchar_array(WCharSeqHolder seq, int offset, int length)` Reads array of IDL wide characters from offset for length elements from the input stream.
`char` `read_wchar()` Reads an IDL wide character value from the input stream.
`String` `read_wstring()` Reads an IDL wide string from the input stream.

### Methods inherited from interface org.omg.CORBA.portable.ValueBase

`_truncatable_ids`

### Method Detail

#### read_any

    Any read_any()

Reads an IDL `Any` value from the input stream.

Returns:
  the `Any` read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_boolean

    boolean read_boolean()

Reads an IDL boolean value from the input stream.

Returns:
  the boolean read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_char

    char read_char()

Reads an IDL character value from the input stream.

Returns:
  the character read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_wchar

    char read_wchar()

Reads an IDL wide character value from the input stream.

Returns:
  the wide character read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_octet

    byte read_octet()

Reads an IDL octet value from the input stream.

Returns:
  the octet value read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_short

    short read_short()

Reads an IDL short from the input stream.

Returns:
  the short read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_ushort

    short read_ushort()

Reads an IDL unsigned short from the input stream.

Returns:
  the unsigned short read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_long

    int read_long()

Reads an IDL long from the input stream.

Returns:
  the long read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_ulong

    int read_ulong()

Reads an IDL unsigned long from the input stream.

Returns:
  the unsigned long read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_longlong

    long read_longlong()

Reads an IDL long long from the input stream.

Returns:
  the long long read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_ulonglong

    long read_ulonglong()

Reads an unsigned IDL long long from the input stream.

Returns:
  the unsigned long long read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_float

    float read_float()

Reads an IDL float from the input stream.

Returns:
  the float read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_double

    double read_double()

Reads an IDL double from the input stream.

Returns:
  the double read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_string

    String read_string()

Reads an IDL string from the input stream.

Returns:
  the string read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_wstring

    String read_wstring()

Reads an IDL wide string from the input stream.

Returns:
  the wide string read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_Object

    Object read_Object()

Reads an IDL CORBA::Object from the input stream.

Returns:
  the CORBA::Object read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_Abstract

    Object read_Abstract()

Reads an IDL Abstract interface from the input stream.

Returns:
  the Abstract interface read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_Value

    Serializable read_Value()

Reads an IDL value type from the input stream.

Returns:
  the value type read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_TypeCode

    TypeCode read_TypeCode()

Reads an IDL typecode from the input stream.

Returns:
  the typecode read.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_any_array

    void read_any_array(AnySeqHolder seq,
                      int offset,
                      int length)

Reads array of IDL Anys from offset for length elements from the input stream.

Parameters:
  `seq` - The out parameter holder for the array to be read.
  `offset` - The index into seq of the first element to read from the input stream.
  `length` - The number of elements to read from the input stream.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_boolean_array

    void read_boolean_array(BooleanSeqHolder seq,
                          int offset,
                          int length)

Reads array of IDL booleans from offset for length elements from the input stream.

Parameters:
  `seq` - The out parameter holder for the array to be read.
  `offset` - The index into seq of the first element to read from the input stream.
  `length` - The number of elements to read from the input stream.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_char_array

    void read_char_array(CharSeqHolder seq,
                       int offset,
                       int length)

Reads array of IDL characters from offset for length elements from the input stream.

Parameters:
  `seq` - The out parameter holder for the array to be read.
  `offset` - The index into seq of the first element to read from the input stream.
  `length` - The number of elements to read from the input stream.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_wchar_array

    void read_wchar_array(WCharSeqHolder seq,
                        int offset,
                        int length)

Reads array of IDL wide characters from offset for length elements from the input stream.

Parameters:
  `seq` - The out parameter holder for the array to be read.
  `offset` - The index into seq of the first element to read from the input stream.
  `length` - The number of elements to read from the input stream.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_octet_array

    void read_octet_array(OctetSeqHolder seq,
                        int offset,
                        int length)

Reads array of IDL octets from offset for length elements from the input stream.

Parameters:
  `seq` - The out parameter holder for the array to be read.
  `offset` - The index into seq of the first element to read from the input stream.
  `length` - The number of elements to read from the input stream.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_short_array

    void read_short_array(ShortSeqHolder seq,
                        int offset,
                        int length)

Reads array of IDL shorts from offset for length elements from the input stream.

Parameters:
  `seq` - The out parameter holder for the array to be read.
  `offset` - The index into seq of the first element to read from the input stream.
  `length` - The number of elements to read from the input stream.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_ushort_array

    void read_ushort_array(UShortSeqHolder seq,
                         int offset,
                         int length)

Reads array of IDL unsigned shorts from offset for length elements from the input stream.

Parameters:
  `seq` - The out parameter holder for the array to be read.
  `offset` - The index into seq of the first element to read from the input stream.
  `length` - The number of elements to read from the input stream.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_long_array

    void read_long_array(LongSeqHolder seq,
                       int offset,
                       int length)

Reads array of IDL longs from offset for length elements from the input stream.

Parameters:
  `seq` - The out parameter holder for the array to be read.
  `offset` - The index into seq of the first element to read from the input stream.
  `length` - The number of elements to read from the input stream.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_ulong_array

    void read_ulong_array(ULongSeqHolder seq,
                        int offset,
                        int length)

Reads array of IDL unsigned longs from offset for length elements from the input stream.

Parameters:
  `seq` - The out parameter holder for the array to be read.
  `offset` - The index into seq of the first element to read from the input stream.
  `length` - The number of elements to read from the input stream.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_ulonglong_array

    void read_ulonglong_array(ULongLongSeqHolder seq,
                            int offset,
                            int length)

Reads array of IDL unsigned long longs from offset for length elements from the input stream.

Parameters:
  `seq` - The out parameter holder for the array to be read.
  `offset` - The index into seq of the first element to read from the input stream.
  `length` - The number of elements to read from the input stream.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_longlong_array

    void read_longlong_array(LongLongSeqHolder seq,
                           int offset,
                           int length)

Reads array of IDL long longs from offset for length elements from the input stream.

Parameters:
  `seq` - The out parameter holder for the array to be read.
  `offset` - The index into seq of the first element to read from the input stream.
  `length` - The number of elements to read from the input stream.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_float_array

    void read_float_array(FloatSeqHolder seq,
                        int offset,
                        int length)

Reads array of IDL floats from offset for length elements from the input stream.

Parameters:
  `seq` - The out parameter holder for the array to be read.
  `offset` - The index into seq of the first element to read from the input stream.
  `length` - The number of elements to read from the input stream.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

#### read_double_array

    void read_double_array(DoubleSeqHolder seq,
                         int offset,
                         int length)

Reads array of IDL doubles from offset for length elements from the input stream.

Parameters:
  `seq` - The out parameter holder for the array to be read.
  `offset` - The index into seq of the first element to read from the input stream.
  `length` - The number of elements to read from the input stream.
Throws:
  ``org.omg.CORBA.MARSHAL`` - If an inconsistency is detected, including not having registered a streaming policy, then the standard system exception MARSHAL is raised.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.